GET /v1/trader/{proxy}
Trader profile — every metric value, every percentile rank, plus display enrichment. Full-metric depth is a paid feature; Free gets the public teaser (/v1/public/trader).
Trader profile — every metric value, every percentile rank, plus display enrichment. Full-metric depth is a paid feature; Free gets the public teaser (/v1/public/trader).
API key: Authorization: Bearer pk_live_… (mint at polyrank.app/api-keys)
In: header
Path Parameters
Query Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/trader/string"{ "proxy_wallet": "string", "metrics_lifetime": { "property1": 0, "property2": 0 }, "percentiles_lifetime": { "property1": 0, "property2": 0 }, "first_trade_at": "string", "last_trade_at": "string", "trade_count": -9007199254740991, "markets_traded": -9007199254740991, "display": { "username": "string", "pseudonym": "string", "profile_image": "string", "x_username": "string", "verified": true, "bio": "string", "eoa": "string", "claimed": true, "claimed_by_me": true, "founding": true }, "snapshot_age_seconds": -9007199254740991, "valuation": { "status": "too_large", "error": "wallet_too_large", "reason": "too_large", "agg_rows": 0, "limit": 0, "retry_after": 0 }, "freshness": { "fills": { "as_of": "string", "age_seconds": 0, "class": "live", "source": "string" }, "marks": { "as_of": "string", "age_seconds": 0, "class": "live", "source": "string" }, "metrics": { "as_of": "string", "age_seconds": 0, "class": "live", "source": "string" }, "as_of": "string" }, "metrics_windows": { "property1": { "realized_pnl": 0, "volume_usdc": 0, "roi_pct": 0, "n_trades": -9007199254740991 }, "property2": { "realized_pnl": 0, "volume_usdc": 0, "roi_pct": 0, "n_trades": -9007199254740991 } }, "predictor": { "status": "ok", "reason": "convert_wallet", "prediction_accuracy_pct": 0, "prediction_n": -9007199254740991, "mean_entry_price": 0, "n_right_call_lost": -9007199254740991, "n_wrong_call_profited": -9007199254740991, "win_rate_closed_pct": 0, "closed_n": -9007199254740991, "n_sold_open": -9007199254740991, "held_to_resolution_pct": 0, "held_n": -9007199254740991, "luck_adjusted_edge_z": 0, "avg_win_usdc": 0, "avg_loss_usdc": 0, "biggest_win_usdc": 0, "biggest_win_condition_id": "string", "biggest_win_title": "string", "biggest_loss_usdc": 0, "biggest_loss_condition_id": "string", "biggest_loss_title": "string", "buy_fees_usdc": 0, "worst_realized_day_pnl_usdc": 0, "worst_realized_day": "string", "computed_at": "string" }, "user_id": "string", "wallet_count": -9007199254740991, "scope": "combined", "wallets": [ { "proxy_wallet": "string", "realized_pnl": 0, "lifetime_volume_usdc": 0, "trade_count": -9007199254740991, "win_rate_pct": 0, "is_primary": true, "display": { "username": "string", "pseudonym": "string", "profile_image": "string", "verified": true } } ]}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}GET /v1/trader/{proxy}/trades GET
Paginated trade history. Cursor-based. Paid feature (metrics_full).
GET /v1/event/{slug}/traders GET
Who is trading an event: the largest holders of its leading open questions, the best-ranked wallets that traded them in the last 24 h (ranked by price-adjusted edge, never by P&L, win rate or raw Brier) with what they hold, and the net tagged-wallet flow per question, plus the event 24 h traders, 24 h volume and all-time volume. Holders are open to every signed-in caller; the active and tagged-flow panels need metrics_full and come back status "locked" without it.